@echo off

setlocal EnableDelayedExpansion

set JARS=.\lib
if defined CLASSPATH (set CLASSPATH=%CLASSPATH%;.) else (set CLASSPATH=.)
for %%i in ("%JARS%\*.jar") do set CLASSPATH=!CLASSPATH!;%%i
endlocal & set CLASSPATH=%CLASSPATH%

set USER_JARS=.\user-lib
for %%i in ("%USER_JARS%\*.jar") do set CLASSPATH=!CLASSPATH!;%%i
endlocal & set CLASSPATH=%CLASSPATH%

set CLASSPATH=.\config;%CLASSPATH%

java -cp %CLASSPATH% net.sourceforge.basher.Basher %1 %2 %3 %4 %5 %6 %7 %8 %9